summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIskren Slavov <iskren.s@gmail.com>2010-04-11 23:27:16 +0300
committerIskren Slavov <iskren.s@gmail.com>2010-04-11 23:27:16 +0300
commit1b0cb0d5970559e2d9046c63935ed869909c6241 (patch)
treedf4fe05895dc2a3e14b2a6387d9d8fd26e16d869 /dev-java
parentFixed liferea Manifest. Added skype with v4l1compat USE flag. (diff)
downloadwish-1b0cb0d5970559e2d9046c63935ed869909c6241.tar.gz
wish-1b0cb0d5970559e2d9046c63935ed869909c6241.tar.bz2
wish-1b0cb0d5970559e2d9046c63935ed869909c6241.zip
Add gbgoffice dictionary. Add version bump of sun-j2me-bin. Add version bump of Oracle's SQLDeveloper
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/sun-j2me-bin/ChangeLog52
-rw-r--r--dev-java/sun-j2me-bin/Manifest5
-rw-r--r--dev-java/sun-j2me-bin/files/java-config.patch101
-rw-r--r--dev-java/sun-j2me-bin/metadata.xml5
-rw-r--r--dev-java/sun-j2me-bin/sun-j2me-bin-2.5.2.01.ebuild109
5 files changed, 272 insertions, 0 deletions
diff --git a/dev-java/sun-j2me-bin/ChangeLog b/dev-java/sun-j2me-bin/ChangeLog
new file mode 100644
index 0000000..65334cb
--- /dev/null
+++ b/dev-java/sun-j2me-bin/ChangeLog
@@ -0,0 +1,52 @@
+# ChangeLog for dev-java/sun-j2me-bin
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+
+*sun-j2me-bin-2.5.2.01 (11 Apr 2010)
+ 11 Apr 2010; Iskren Slavov <iskren.s@google.com> sun-j2me-bin-2.5.2.01.ebuild:
+ Version bump.
+
+ 25 Nov 2009; Markus Meier <maekke@gentoo.org> sun-j2me-bin-2.2-r3.ebuild:
+ amd64 stable, bug #284298
+
+ 05 Oct 2009; Christian Faulhammer <fauli@gentoo.org>
+ sun-j2me-bin-2.2-r3.ebuild:
+ stable x86, bug 284298
+
+ 27 Aug 2007; Petteri R├Ąty <betelgeuse@gentoo.org>
+ sun-j2me-bin-2.2-r3.ebuild:
+ Disable bytecode version verification because python zip handling errors on
+ the jar files.
+
+ 27 Feb 2007; Vlastimil Babka <caster@gentoo.org>
+ sun-j2me-bin-2.2-r3.ebuild:
+ Make the fetch instructions even more detailed.
+
+ 25 Feb 2007; Vlastimil Babka <caster@gentoo.org>
+ sun-j2me-bin-2.2-r3.ebuild:
+ Make the fetch instructions more detailed to prevent another case of bug
+ #168387.
+
+ 26 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
+ sun-j2me-bin-2.2-r3.ebuild:
+ Added ~amd64 per bug# 142191
+
+ 25 Sep 2006; Krzysiek Pawlik <nelchael@gentoo.org>
+ sun-j2me-bin-2.2-r3.ebuild:
+ Changed dependencies to sun-jaf and sun-javamail.
+
+*sun-j2me-bin-2.2-r3 (14 Jul 2006)
+
+ 14 Jul 2006; Krzysiek Pawlik <nelchael@gentoo.org>
+ -sun-j2me-bin-2.2-r2.ebuild, +sun-j2me-bin-2.2-r3.ebuild:
+ Revision bump to use update_2, see bug #140327.
+
+ 08 Jul 2006; Krzysiek Pawlik <nelchael@gentoo.org>
+ sun-j2me-bin-2.2-r2.ebuild:
+ Fix installing sun-j2me-bin for first time.
+
+*sun-j2me-bin-2.2-r2 (06 Jul 2006)
+
+ 06 Jul 2006; Krzysiek Pawlik <nelchael@gentoo.org> +metadata.xml,
+ +sun-j2me-bin-2.2-r2.ebuild:
+ Initial version.
+
diff --git a/dev-java/sun-j2me-bin/Manifest b/dev-java/sun-j2me-bin/Manifest
new file mode 100644
index 0000000..4d48e6c
--- /dev/null
+++ b/dev-java/sun-j2me-bin/Manifest
@@ -0,0 +1,5 @@
+AUX java-config.patch 2604 RMD160 7744d9c58e16af2170778ceaaf39b181dc968f99 SHA1 02a6a67bbe8e51791bef3fe8730f98cf3f0ad1d5 SHA256 4c217155d2c5794d3f2197b023d4b26840daf02dfc714499d9f811de51f5abd2
+DIST sun_java_wireless_toolkit-2.5.2_01-linuxi486.bin.sh 39797585 RMD160 fdd26ddb177d27a5dceb6de75bd406dc154659e9 SHA1 b1c39419c6ab3d30c04793a89df1f435af0bedd0 SHA256 416ea8c8dc56e3563fc92e89bb9dde243662272bc4c88121d8fc1074044b4bb2
+EBUILD sun-j2me-bin-2.5.2.01.ebuild 2692 RMD160 41d045afd8f534f6fa6ca7e6566ada3ac9466952 SHA1 7621408033c91378fed4b2f6d07e5bbb531ebc9b SHA256 6485e39a61cf1d9bbc3792ab86c0353381efad046eb5228e37cd44ab0de0370e
+MISC ChangeLog 1679 RMD160 75a76935193d139cb1928f463934adc25f4293ae SHA1 cc148005cc84619a503a3a3886da413283004b64 SHA256 be3dbe496b5c7d26b40aca2cf7cf83ac958162b0ccae56991a173ac41562522d
+MISC metadata.xml 158 RMD160 493079b5fb71d66863beea1b023901c90ba81be5 SHA1 77cd509a8b3c377b9a24480b48a5d5481b7874f1 SHA256 ea882ceccfd160b16cf7e79de423bdcc12b3fa000f124491a6df36f5783894fb
diff --git a/dev-java/sun-j2me-bin/files/java-config.patch b/dev-java/sun-j2me-bin/files/java-config.patch
new file mode 100644
index 0000000..6905b9f
--- /dev/null
+++ b/dev-java/sun-j2me-bin/files/java-config.patch
@@ -0,0 +1,101 @@
+--- bin/ktoolbar 2008-02-08 19:49:45.000000000 +0100
++++ bin/ktoolbar 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+--- bin/prefs 2008-02-08 19:49:45.000000000 +0100
++++ bin/prefs 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+--- bin/utils 2008-02-08 19:49:45.000000000 +0100
++++ bin/utils 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+--- bin/wscompile 2008-02-08 19:49:45.000000000 +0100
++++ bin/wscompile 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+
+--- bin/mekeytool 2008-02-08 19:49:45.000000000 +0100
++++ bin/mekeytool 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+--- bin/emulator 2008-02-08 19:49:45.000000000 +0100
++++ bin/emulator 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+
+--- bin/defaultdevice 2008-02-08 19:49:45.000000000 +0100
++++ bin/defaultdevice 2008-02-08 20:19:57.000000000 +0100
+@@ -1,6 +1,10 @@
+ #!/bin/sh
+
+-javapathtowtk=`java-config --jdk-home`"/bin/"
++if [ "`uname -m`" = "x86_64" ]; then
++ javapathtowtk=`java-config --select-vm=emul-linux-x86-java --jdk-home`"/bin/"
++else
++ javapathtowtk=`java-config --jdk-home`"/bin/"
++fi
+
+ PRG=$0
+
+
diff --git a/dev-java/sun-j2me-bin/metadata.xml b/dev-java/sun-j2me-bin/metadata.xml
new file mode 100644
index 0000000..7303cef
--- /dev/null
+++ b/dev-java/sun-j2me-bin/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>java</herd>
+</pkgmetadata>
diff --git a/dev-java/sun-j2me-bin/sun-j2me-bin-2.5.2.01.ebuild b/dev-java/sun-j2me-bin/sun-j2me-bin-2.5.2.01.ebuild
new file mode 100644
index 0000000..c2b76cf
--- /dev/null
+++ b/dev-java/sun-j2me-bin/sun-j2me-bin-2.5.2.01.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/sun-j2me-bin/sun-j2me-bin-2.2-r3.ebuild,v 1.6 2007/08/27 10:40:32 betelgeuse Exp $
+
+inherit java-pkg-2
+
+DESCRIPTION="Java 2 Micro Edition Wireless Toolkit for developing wireless applications"
+HOMEPAGE="http://java.sun.com/products/j2mewtoolkit/"
+
+DOWNLOAD_URL="http://java.sun.com/products/sjwtoolkit/download.html"
+BINARY="sun_java_wireless_toolkit-2.5.2_01-linuxi486.bin.sh"
+
+SRC_URI="${BINARY}"
+LICENSE="sun-bcla-j2me"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+RESTRICT="fetch"
+
+COMMON_DEP="
+ dev-java/sun-jaf
+ dev-java/sun-javamail
+ dev-java/xsdlib"
+RDEPEND="${COMMON_DEP}
+ >=virtual/jdk-1.4.2
+ amd64? ( app-emulation/emul-linux-x86-java )"
+DEPEND="${COMMON_DEP}
+ app-arch/unzip"
+
+S=${WORKDIR}
+
+MY_FILE=${DISTDIR}/${BINARY}
+
+pkg_nofetch() {
+
+ einfo "Please navigate your browser to"
+ einfo "${DOWNLOAD_URL}"
+ einfo "scroll down and notice the download button."
+ einfo "Click the Download button for J2ME Wireless Toolkit 2.5.2"
+ einfo "and download ${BINARY}"
+ einfo "Put this file to ${DISTDIR} and resume the installation"
+
+}
+
+src_unpack() {
+
+ if [[ ! -r ${MY_FILE} ]]; then
+
+ eerror "cannot read ${A}. Please check the permission and try again."
+ die
+
+ fi
+
+ #extract compressed data and unpack
+ ebegin "Unpacking ${BINARY}"
+ dd bs=2048 if=${MY_FILE} of=install.zip skip=13 2>/dev/null || die
+ unzip install.zip >/dev/null || die
+ eend $?
+ rm install.zip
+
+ #Set the java-bin-path in some scripts
+ for file in ktoolbar emulator mekeytool prefs utils wscompile defaultdevice; do
+ sed -i -e \
+ "s@pathtowtk=\$@pathtowtk=\`java-config --jdk-home\`\"/bin/\"@" \
+ ${WORKDIR}/bin/${file} || die
+ done
+
+ cd ${S}/bin
+ rm -f activation.jar mail.jar xsdlib.jar
+
+}
+
+src_compile() {
+ epatch ${FILESDIR}/java-config.patch
+}
+
+src_install() {
+
+ local DIR=/opt/${P}
+ cd ${WORKDIR}
+
+ einfo "Copying files"
+ dodir ${DIR}
+ cp -r j2mewtk_template bin lib wtklib ${D}/${DIR}
+ use examples && cp -r apps ${D}/${DIR}
+
+ einfo "Setting permissions"
+ chmod 755 ${D}/${DIR}/bin/* || die
+ chmod 644 ${D}/${DIR}/bin/*.jar || die
+
+ einfo "Installing documentation"
+ dohtml *.html
+ use doc && java-pkg_dohtml -r docs/*
+
+ cd ${D}/${DIR}/bin
+ java-pkg_jar-from sun-jaf activation.jar
+ java-pkg_jar-from sun-javamail mail.jar
+ java-pkg_jar-from xsdlib xsdlib.jar
+
+ einfo "Registering jar files"
+ # The zip files are somehow broken and python zip handling errors on them
+ JAVA_PKG_STRICT= java-pkg_regjar \
+ ${D}${DIR}/lib/*.jar \
+ ${D}${DIR}/wtklib/kenv.zip \
+ ${D}${DIR}/wtklib/*.jar
+
+ dodir /usr/bin
+ dosym ${DIR}/bin/ktoolbar /usr/bin/ktoolbar
+}